## ros-humble-pmb2-2dnav 4.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pmb2_2dnav)

find_package(ament_cmake_auto REQUIRED)

# PAL Robotics stricter build flags, other developers should not worry about
# this
find_package(ament_cmake_pal QUIET)

ament_auto_find_build_dependencies()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(PROGRAMS scripts/record_mapping.sh
          scripts/record_move_base.sh
          scripts/record_odom.sh
          scripts/record_patrol.sh
          scripts/record_rgbd.sh
        DESTINATION lib/${PROJECT_NAME})

ament_auto_package(INSTALL_TO_SHARE config launch params)

=== debian/changelog ===
ros-humble-pmb2-2dnav (4.0.5-1jammy) jammy; urgency=high

  * Merge branch 'feat/laser-filters' into 'humble-devel'
    using laser filters in simulation
    See merge request robots/pmb2_navigation!70
  * changed is_public_sim arg order
  * clarifying remapping file usage
  * declaring is_sim before using it
  * added private dependencies
  * added is_public_sim argument
  * added is_public_sim
  * updated dependencies and rviz config
  * using sim bringup
  * fix linter
  * start laser filters for simulation
  * using laser filters in simulation
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 16 Jun 2023 00:00:00 -0000

ros-humble-pmb2-2dnav (4.0.4-1jammy) jammy; urgency=high

  * Setting odom topic
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-humble-pmb2-2dnav (4.0.3-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 14 Apr 2023 00:00:00 -0000

ros-humble-pmb2-2dnav (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'laser_migration' into 'humble-devel'
    Migrate laser_sensors
    See merge request robots/pmb2_navigation!66
  * removed commented deps
  * sick_tim laser migration
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 05 Apr 2023 00:00:00 -0000

ros-humble-pmb2-2dnav (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'feat/nav' into 'humble-devel'
    Using pal_navigation_cfg
    See merge request robots/pmb2_navigation!64
  * Using pal_navigation_cfg
  * Contributors: antoniobrandi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 03 Apr 2023 00:00:00 -0000

ros-humble-pmb2-2dnav (4.0.0-1jammy) jammy; urgency=high

  * Merge pull request #1 from jmguerreroh/humble-devel
    Enhancing Tiago's navigation parameters
  * Updating Tiago parameters
  * Enhancing Tiago's navigation parameters
  * Contributors: Sai Kishor Kothakota, jmguerreroh

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 15 Dec 2022 00:00:00 -0000

ros-humble-pmb2-2dnav (3.0.2-1jammy) jammy; urgency=high

  * Merge branch 'missing_dependency' into 'humble-devel'
    add missing dependency
    See merge request robots/pmb2_navigation!58
  * add missing dependencies
  * Merge branch 'initial_pose' into 'humble-devel'
    Set initial pose automatically
    See merge request robots/pmb2_navigation!57
  * set initial pose automatically
  * Merge branch 'update_copyright' into 'humble-devel'
    Update copyright
    See merge request robots/pmb2_navigation!56
  * update package format
  * update copyright
  * Merge branch 'update_maintainers' into 'humble-devel'
    Update maintainers
    See merge request robots/pmb2_navigation!55
  * update maintainers
  * Merge branch 'fix_robot_model_type' into 'humble-devel'
    humble fixes
    See merge request robots/pmb2_navigation!54
  * linters
  * use args for rviz
  * update nav2 params file
  * update nav2_bringup arguments
  * update robot_model_type for humble
  * Merge branch 'fix_bt_navigator' into 'galactic-devel'
    fix  bt_navigator libraries
    See merge request robots/pmb2_navigation!52
  * undo change transform_timeout
  * add bt_navigator libraries
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 21 Oct 2022 00:00:00 -0000

ros-humble-pmb2-2dnav (3.0.1-1jammy) jammy; urgency=high

  * Add missing ament_cmake_auto dependency
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 14 Jul 2021 00:00:00 -0000

ros-humble-pmb2-2dnav (3.0.0-1jammy) jammy; urgency=high

  * Remove ROS1 launch files
  * Comment dependencies pending to be migrated to ROS2
  * Fix costmaps and increase max velocity
  * Revert "Fix usage of map argument"
    This reverts commit 22d9e4a02b93fa5e9016738312538740a8c7e376.
    Specifying full path is more work but more flexible
  * Fix usage of map argument
  * Reduce max speeds to avoid crashing into walls
    A similara issue seems to be reported in:
    https://github.com/ros-planning/navigation2/issues/938
    Probably we need more tunning for our robot and/or a different
    controller
  * Fixes for slam
  * More linter fixes
  * Remove hard coded map
  * First working pmb2_nav_bringup launch file
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 12 Jul 2021 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.8-1jammy) jammy; urgency=high

  * Merge branch 'rename_tf_prefix' into 'erbium-devel'
    Rename tf_prefix to robot_namespace
    See merge request robots/pmb2_navigation!46
  * Rename tf_prefix to robot_namespace
  * Contributors: davidfernandez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 30 Jul 2020 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.7-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Jul 2020 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.6-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Apr 2020 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.5-1jammy) jammy; urgency=high

  * passing subtype parameter to move_base
  * Contributors: federiconardi

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 22 Nov 2019 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.4-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 01 Oct 2019 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.3-1jammy) jammy; urgency=high

  * use scan_raw for mapping
  * Contributors: Procópio Stein

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 23 Sep 2019 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.2-1jammy) jammy; urgency=high



 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 18 Sep 2019 00:00:00 -0000

ros-humble-pmb2-2dnav (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'multi_pmb2' into 'erbium-devel'


=== debian/control ===
Source: ros-humble-pmb2-2dnav
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pmb2-2dnav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-pal-navigation-cfg-bringup, ros-humble-pmb2-laser-sensors, ros-humble-pmb2-maps, ros-humble-ros2launch, ros-humble-rviz2, ros-humble-ros-workspace
Description: PMB2-specific launch files needed to run navigation on the PMB2 robot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pmb2-2dnav//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
